import json
import socket
import threading

from Classes.System.Network.NetworkManger import NetworkManager

class Server:

    __address:str
    __tcpPort:str
    __udpPort:str
    
    networkManager:NetworkManager

    def __init__(self, address:str, tcpPort:str, udpPort:str):
        self.__address = address
        self.__tcpPort = tcpPort
        self.__udpPort = udpPort

        
        self.startServer()

    # handles starting the server and assigning socket values to the local reference
    def startServer(self):
        self.__networkManager = NetworkManager(self.__address, self.__tcpPort, self.__udpPort)